Skip to content
POST/{organizationId}/{mandateId}/finance/accounting/receipts/list

List posting receipts

Returns a list of posting receipts for given mandate

Required permissions:

  • mandate.read

  • posting.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

limitintegeroptional

Default: 50

minimum: 0

maximum: 100

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

searchTermstringoptional
fromDatestringoptional
toDatestringoptional
dueFromDatestringoptional
dueToDatestringoptional
reversedbooleanoptional
canceledbooleanoptional

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/accounting/receipts/list
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounting/receipts/list' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "sort": {},
  "limit": 50,
  "offset": 0
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "count": 0,
  "receipts": [
    {
      "_id": "000000000000000000000001",
      "mandate": "000000000000000000000001",
      "receiptNumber": "string",
      "receiptFile": "string",
      "receiptFileName": "string",
      "cashTransaction": "000000000000000000000001",
      "positions": [
        {
          "debitAccount": 1,
          "creditAccount": 1,
          "isNet": true,
          "amount": 1,
          "taxCode": "string",
          "costCenter1": 1,
          "costCenter2": 1,
          "receiptDate": "string",
          "deliveryDate": null,
          "description": "string"
        }
      ],
      "receiptDate": "string",
      "deliveryDate": "string",
      "description": "string"
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}